<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
		
	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 400
	});
	
	var sendSmspopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Send', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Cancel', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 400
	});

	var importPopup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Import', icon: 'accept', action: function () {
					Cubix.Popup.Actions.SaveValid.bind(this)(function (resp) {
						alert('Successfully imported!');
					});
				} },
			{ caption: 'Cancel', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 400
	});

	
	var getFilterParams = function () {
		sform = 'search-form';
		var uri = new URI('?' + $(sform).toQueryString());

		return uri.get('data');
	};

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Number', field: 'number', type: 'string', sortable: false, width: '150px' },
			{ title: 'Group', field: 'group_name', type: 'string', sortable: false },
			{ title: 'Contact times', field: 'contacted_times', type: 'number', sortable: false, width: '100px' }
		],
		sort: {
			field: 'id',
			dir: 'asc'
		},
		actions: [ { type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '<?= $this->baseUrl() ?>/sms/phone-numbers/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.load();
					}.bind(this)
				}).send();
			}
		} }, { type: 'edit', func: function (data) {
			popup.setTitle('Edit Number');
			popup.load('<?= $this->baseUrl() ?>/sms/phone-numbers/edit?id=' + data.id, function () {
				this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: '<?= $this->baseUrl() ?>/sms/phone-numbers/data', params: getFilterParams })
	});
	
	grid.addEvent('loaded', function () {
		$$('.total-count b').set('html', this.data.count);
	});
	
	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	
	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {cou
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add Number');
		popup.load('<?= $this->baseUrl() ?>/sms/phone-numbers/create', popup.open);
	}, icon: 'add', caption: 'Add number' });
	
	new Cubix.Button($('send-sms'), { onClick: function () {
		sendSmspopup.setTitle('Send SMS');
		sendSmspopup.load('<?= $this->baseUrl() ?>/sms/phone-numbers/send-sms', sendSmspopup.open);
	}, icon: 'msg_add', caption: 'Send SMS', classes: 'ml20' });
			
	new Cubix.Button($('import'), { onClick: function () {
		importPopup.setTitle('Import phone numbers');
		importPopup.load('<?= $this->baseUrl() ?>/sms/phone-numbers/import', importPopup.open);
	}, icon: 'add', caption: 'Import', classes: 'ml20' });
	
	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');
	};

	initFormSubmit();
};
</script>

<div class="form-common gray c-filter-form">
	<form id="search-form" action="">
		<div class="fleft">
			<fieldset class="inner mb10">
				<legend>General</legend>
				<div class="inner">
					<label for="f-number">Number</label>
					<input name="number" id="f-number" class="txt w16" type="text" value="" />
				</div>
				<div class="inner">
					<label for="f-group-id">Group</label>
					<select name="group_id" id="f-group-id" class='w15'>
						<option value=''>All</option>
						<? foreach($this->groups as $group): ?>
						<option value='<?= $group->id ?>'><?= $group->name ?></option>
						<? endforeach; ?>
					</select>
				</div>
				
				<div class="inner">
					<label for="f-contact-state">Contact state</label>
					<select name="contact_state" id="f-contact-state" class='w15'>
						<option value=''>All</option>
						<option value='contacted'>Contacted</option>
						<option value='not_contacted'>Not Contacted</option>
						<option value='contact_failed'>Contact Failed</option>
						<option value='contact_pending'>Contact Pending</option>
					</select>
				</div>
				
				<div class="inner">
					<label for="f-blacklisted">Blacklisted</label>
					<select name="blacklisted" id="f-blacklisted" class='w10'>
						<option value=''>All</option>
						<option value='1'>Blacklisted</option>
						<option value='2'>Whitelist</option>
					</select>
				</div>

                <? if ( Cubix_Application::getId() == APP_ED || Cubix_Application::getId() == APP_EG_CO_UK ): ?>
                    <div class="inner">
                        <label for="f-contact-times">Contact times</label>
                        <select name="contact_times" id="f-contact-times" class='w15'>
                            <option value=''>All</option>
                            <option value=1>1</option>
                            <option value=2>2</option>
                            <option value=3>3</option>

                        </select>
                    </div>
                <?endif;?>




			</fieldset>
		</div>
		<div class='clear'></div>
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
		
	</form>
</div>
<div class="action-bar mt10">
	<div class="fleft total-count" style="border: 1px solid gray; margin-top: 1px; padding: 3px 10px;">
		Count: <b>...</b>
	</div>
	<a id="btn-create"></a>
	<a id="send-sms"></a>
	<a id="import"></a>
	<div class="clear"></div>
</div>
<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
